Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/image_processing/
Date: Sat, 23 May 2020 17:41:28
Message-Id: 1590255673.47a6beb8f22c7d6d16da5ce7835a89da28373f19.graaff@gentoo
commit:     47a6beb8f22c7d6d16da5ce7835a89da28373f19
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 17:40:58 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 23 17:41:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47a6beb8

dev-ruby/image_processing: add 1.11.0

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/image_processing/Manifest                 |  1 +
 .../image_processing-1.11.0.ebuild                 | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-ruby/image_processing/Manifest b/dev-ruby/image_processing/Manifest
index d325db7a9a5..f240c1f3ee0 100644
--- a/dev-ruby/image_processing/Manifest
+++ b/dev-ruby/image_processing/Manifest
@@ -1,3 +1,4 @@
 DIST image_processing-1.10.0.tar.gz 984866 BLAKE2B 3afcdff652eec40ea652c68a99d6f18970596a8221883ec627b678b8af0013127471490a093ff190134d12e2b6eb4f8a42252d49b4fc61cfff8858b49d1f124e SHA512 47a465ce4e450647a67bda376bfdb5da5a0ceacfc01be5e15dfc819232b76509fdc2c6a8196042dd8508c69e0d19c8f08a54b939dd3e808f9a2ff31efd891c9a
 DIST image_processing-1.10.3.tar.gz 985090 BLAKE2B 9626dd41ae97cd0c68b857ccce2dd2b5eebbc04a5a3fc145cfde681b8ba9cc78806ddf1e7542afa2799ad707ced592149304216875297fc1bac112501dfcdbbb SHA512 7883199b2ccd693ae91a5d028a7c7bf5834cb36c7a48b4d02d1d92d7681e382a4e6605ca80cb0ca2f9949bfa95d8dafac3057e2508bb2932c5c3c0c3dee99b12
+DIST image_processing-1.11.0.tar.gz 985565 BLAKE2B 2ab1cfcdb0637dfbba50558cdb0b778cbb2f7bccf2a12aff5515171e252b0f41624d1867a2cb825d7200b5c09eb57d4f002cd086fdb987a9513a2ef3401a2db3 SHA512 2978ab351f6afaa9bb4ff08be6f89a27a634ac49a239a88c59cd40c877ffe4da57bdfe0d02af31577be113f04d7dc736e891b1edebc09fd4829bbe89085c4282
 DIST image_processing-1.9.3.tar.gz 984561 BLAKE2B 71c729c36e7048ceee3bd452d0429b24303f6898658337211cda4c697823e275f84c8b5ccbce857caa8f63a80e620f11822d3c0024f05343c3d72f9c8aedbdb9 SHA512 117e45146b646632bb2990f1651a494887ec8b75d8dcfcbea241b75d4691329597b7c8979fd13d4e51bacd5065b51594d6de9357e63c8b9b959b78fe075d0a76

diff --git a/dev-ruby/image_processing/image_processing-1.11.0.ebuild b/dev-ruby/image_processing/image_processing-1.11.0.ebuild
new file mode 100644
index 00000000000..80e6c6be300
--- /dev/null
+++ b/dev-ruby/image_processing/image_processing-1.11.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md doc/*.md"
+
+RUBY_FAKEGEM_GEMSPEC="image_processing.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="High-level image processing helper methods with libvips and ImageMagick"
+HOMEPAGE="https://github.com/janko/image_processing"
+SRC_URI="https://github.com/janko/image_processing/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND+=" test? ( media-gfx/imagemagick[jpeg,tiff] )"
+
+ruby_add_rdepend "
+	>=dev-ruby/mini_magick-4.9.5:0
+"
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/minitest-5.8:5
+	>=dev-ruby/minitest-hooks-1.4.2
+	dev-ruby/minispec-metadata
+)"
+
+all_ruby_prepare() {
+	# Only support imagemagick for now since vips is not packaged
+	sed -i -e '/ruby-vips/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+	rm -f test/{pipeline,vips}_test.rb || die
+	sed -i -e '/assert_dimensions/ s:^:#:' test/*_test.rb || die
+
+	# phash is not packaged
+	sed -i -e '/\(assert\|refute\)_similar/ s:^:#:' test/*_test.rb || die
+
+	sed -i -e '/\(bundler\|phashion\|vips\)/ s:^:#:' Rakefile test/test_helper.rb || die
+}